Bug 247505 - x11-wm/plasma5-kwin kwin_rules_dialog closed unexpectedly
Summary: x11-wm/plasma5-kwin kwin_rules_dialog closed unexpectedly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: kde
URL: https://bugs.kde.org/show_bug.cgi?id=...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-23 17:22 UTC by Scott Loga
Modified: 2020-06-29 09:14 UTC (History)
4 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
KDE Crash Handler Output (4.69 KB, text/plain)
2020-06-23 17:22 UTC, Scott Loga
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott Loga 2020-06-23 17:22:00 UTC
Created attachment 215888 [details]
KDE Crash Handler Output

OS - 12.1-RELEASE-p6 GENERIC amd64
KDE5 Plasma

On any Window Title Bar, if one right clicks and chooses More Actions then Configure Special Window Settings, the KDE Crash Handler displays "kwin_rules_closes unexpectedly"

Details:

Executable: kwin_rules_dialog PID: 32543 Signal: Segmentation fault (11) Time: 6/23/20 12:04:20 PM CDT

Attached is the crash information provided by the KDE Crash Handler.

I also created a new user on the system and the same results occurred.

If more information is needed, please don't hesitate to ask.

Regards,

Scott
Comment 1 Serge Volkov 2020-06-23 21:26:47 UTC
I confirm. I have this issue too.
KDE Plasma 5.19.1, KDE Frameworks 5.71.0, Qt 5.14.2, FreeBSD 12.1-RELEASE-p4 amd64
Comment 2 Marie Loise Nolden 2020-06-24 05:50:24 UTC
I have the exact same problem with a similar setting under:

- CentOS 8.2.2004
- Qt 5.15.0
- KF5 5.71
- Plasma 5.19.1/5.19.2

So that is either a Qt or a KDE related bug and not FreeBSD specific.

Kind regards,

Loise
Comment 3 Adriaan de Groot freebsd_committer 2020-06-24 08:13:52 UTC
Same crash here, with Qt 5.15 branch of ports, 12-STABLE, amd64. I have some builds from git at hand which I could use for debugging, though.
Comment 4 Tobias C. Berner freebsd_committer 2020-06-24 10:47:05 UTC
(In reply to Marie Loise Nolden from comment #2)
Thanks for the confirmation, in this case, this should be put into upstream's bugzilla.

Same behavior on 13-Current with Qt5-5.15, Plasma-5.19.2, KF5-5.71


mfg Tobias
Comment 5 Scott Loga 2020-06-26 15:00:10 UTC
Submitted comment to existing bug #421405 (bugs.kde.org)
Comment 6 Adriaan de Groot freebsd_committer 2020-06-26 19:07:30 UTC
If you update devel/kf5-kitemmodels this crash should be gone; there were some essential QML components missing.
Comment 7 Scott Loga 2020-06-29 01:08:02 UTC
With the updates to devel/kf5-kitemmodels, it is working as expected.